Configuration API¶
Overview¶
This document describes the API operations for a configuration.
Version information¶
Version : 1.0.0
URI scheme¶
Schemes : HTTPS, HTTP
Paths¶
Obtaining configuration from CIM¶
1 | |
Parameters¶
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | fields optional |
Fields that should be included in the response message. All fields are displayed if the param is not present. | < Fields > array |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Configuration | Configuration |
| 400 | Bad request | No Content |
| 405 | Unsupported method | No Content |
| 500 | Api disabled | No Content |
Consumes¶
application/json
Produces¶
application/json
Security¶
| Type | Name |
|---|---|
| basic | basic_auth |
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 200¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 | |
Reloading configuration from extension¶
1 | |
Description¶
The endpoint allows reloading extension messages and static resources in IdP runtime
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Extension configuration reloaded | No Content |
| 405 | Unsupported method | No Content |
| 500 | Api disabled | No Content |
Security¶
| Type | Name |
|---|---|
| basic | basic_auth |
Example HTTP request¶
Request path¶
1 | |
Resolve information about all configured Identity Providers¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Configured identity providers | IdentityProviderConfigResultSet |
| 400 | Bad request | No Content |
| 405 | Unsupported method | No Content |
| 500 | Api disabled | No Content |
Produces¶
application/json
Security¶
| Type | Name |
|---|---|
| basic | basic_auth |
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 200¶
1 2 3 4 5 6 7 8 9 10 11 | |
Update attributes configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Attributes configuration updated | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Example HTTP request¶
Request path¶
1 | |
Fetch attributes configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Attributes configuration fetched successfully|AttributesConfiguration | |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 200¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 | |
Update set of CIM's configuration units¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Configuration updated successfully | Configuration |
| 400 | Bad request | No Content |
| 409 | API disabled | No Content |
Consumes¶
application/json
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 204¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 | |
Obtain configuration from CIM¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Configuration fetched successfully | CIMConfiguration |
| 409 | API disabled | No Content |
Produces¶
application/json
Security¶
| Type | Name |
|---|---|
| basic | basic_auth |
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 200¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 | |
Get custom messages for all languages and configured variants¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Custom messages fetched successfully | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Example HTTP request¶
Request path¶
1 | |
Update custom messages configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Custom messages updated successfully | No Content |
| 400 | Bad Request | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Example HTTP request¶
Request path¶
1 | |
Create or update multiple custom messages for a given locale¶
1 | |
Parameters¶
| Type | Name | Schema |
|---|---|---|
| Path | locale_variant required |
string |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Custom messages for given locale created or updated | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Example HTTP request¶
Request path¶
1 | |
Remove custom message for a given locale¶
1 | |
Parameters¶
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | locale_variant required |
locale with variant code | string |
| Path | message_key required |
message's key to remove | string |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Custom message with given key deleted successfully | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Example HTTP request¶
Request path¶
1 | |
Update features configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Features config updated successfully | No Content |
| 409 | API disabled | No Content |
Example HTTP request¶
Request path¶
1 | |
Fetch features configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Features config fetched successfully | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
| content | No Content |
Example HTTP request¶
Request path¶
1 | |
Add url to action token whitelisted urls¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Whitelisted url added successfully | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Example HTTP request¶
Request path¶
1 | |
Fetch whitelisted urls for action token¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Whitelisted urls fetched successfully | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
| content | No Content |
Example HTTP request¶
Request path¶
1 | |
Delete whitelisted url by id¶
1 | |
Parameters¶
| Type | Name | Schema |
|---|---|---|
| Path | url-id required |
string |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | whitelisted url deleted | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Example HTTP request¶
Request path¶
1 | |
Get Configuration for login methods¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Login methods fetched successfully | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Tags¶
- login_methods
Example HTTP request¶
Request path¶
1 | |
Update configuration of email notifications¶
1 | |
Parameters¶
| Type | Name | Description | Schema |
|---|---|---|---|
| Body | EmailNotificationConfiguration required |
config values | EmailNotificationConfiguration |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Configuration updated successfully | No Content |
| 400 | Bad Request | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- step-up
Example HTTP request¶
Request path¶
1 | |
Request body¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 | |
Get configuration of email notifications¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Email notifications configuration fetched successfully | EmailNotificationConfiguration |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Tags¶
- notifications
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 200¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 | |
Get configuration of the organistaions¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Organisations fetched successfully | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- organisations
Example HTTP request¶
Request path¶
1 | |
Get organization service providers¶
1 | |
Parameters¶
| Type | Name | Description | Schema |
|---|---|---|---|
| Body | ServiceProvider required |
config values | < ServiceProvider > array |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Organisation service providers updated successfully | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- organisations
Example HTTP request¶
Request path¶
1 | |
Request body¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 | |
Get organization service providers¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Organisation service providers fetched successfully | < ServiceProvider > array |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- organisations
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 200¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 | |
Get organization service providers¶
1 | |
Parameters¶
| Type | Name | Description | Schema |
|---|---|---|---|
| Body | ServiceProvider required |
config values | ServiceProvider |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Organisation service provider updated successfully | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- organisations
Example HTTP request¶
Request path¶
1 | |
Request body¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 | |
Get organization service providers¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Organisation service provider fetched successfully | ServiceProvider |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- organisations
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 204¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 | |
Update Password Policy configuration¶
1 | |
Parameters¶
| Type | Name | Description | Schema |
|---|---|---|---|
| Body | PasswordPolicy required |
config values | PasswordPolicy |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Configuration updated successfully | No Content |
| 400 | Bad Request | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Example HTTP request¶
Request path¶
1 | |
Request body¶
1 2 3 4 5 6 7 8 | |
POST /api/v2/config/redirects¶
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Configuration Updated Successfully | No Content |
| 400 | Bad Request | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- redirects
Example HTTP request¶
Request path¶
1 | |
Get Configuration for redirects¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Redirects config fetched successfully | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Tags¶
- redirects
Example HTTP request¶
Request path¶
1 | |
Add one url to whitelist for redirects configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Redirects created successfully | No Content |
| 400 | Bad Request | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- redirects
Example HTTP request¶
Request path¶
1 | |
Get Configuration for redirects¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Redirects config fetched successfully | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- redirects
Example HTTP request¶
Request path¶
1 | |
Remove origin whitelisted url¶
1 | |
Parameters¶
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | url_id required |
url id | string |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Url successfully deleted | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Example HTTP request¶
Request path¶
1 | |
Update step-up configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Configuration updated successfully | No Content |
| 400 | Bad Request | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- step-up
Example HTTP request¶
Request path¶
1 | |
Get step-up configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Step-up configuration fetched successfully | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Tags¶
- step-up
Example HTTP request¶
Request path¶
1 | |
Update UI Extension configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | UI Extension configuration updated successfully | No Content |
| 400 | Bad Request | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
Tags¶
- ui_extension
Example HTTP request¶
Request path¶
1 | |
Get UI Extension configuration¶
1 | |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | UI Extension configuration fetched successfully | No Content |
| 401 | Unauthorized | No Content |
| 409 | API disabled | No Content |
| 500 | Internal server error | No Content |
Tags¶
- ui_extension
Example HTTP request¶
Request path¶
1 | |
Add certificate¶
1 | |
Description¶
Adds the new key/keys to the configuration
Parameters¶
| Type | Name | Schema |
|---|---|---|
| Header | Content-Type required |
string |
| Body | Body required |
AddCertificateRequest |
Responses¶
| HTTP Code | Schema |
|---|---|
| 200 | No Content |
Consumes¶
application/json
Produces¶
application/json
Tags¶
- Certificates
Example HTTP request¶
Request path¶
1 | |
Request header¶
1 | |
Request body¶
1 2 3 4 5 6 7 8 | |
List all certificates¶
1 | |
Description¶
Returns the certificate data
Parameters¶
| Type | Name | Schema |
|---|---|---|
| Header | Content-Type required |
string |
Responses¶
| HTTP Code | Schema |
|---|---|
| 200 | No Content |
Consumes¶
application/json
Produces¶
application/json
Tags¶
- Certificates
Example HTTP request¶
Request path¶
1 | |
Request header¶
1 | |
Add/update certificates in batch¶
1 | |
Description¶
Adds or updates many certificates at once
Parameters¶
| Type | Name | Schema |
|---|---|---|
| Header | Content-Type required |
string |
| Body | Body required |
UpdateCertificatesInBatchRequest |
Responses¶
| HTTP Code | Schema |
|---|---|
| 200 | No Content |
Consumes¶
application/json
Produces¶
application/json
Tags¶
- Certificates
Example HTTP request¶
Request path¶
1 | |
Request header¶
1 | |
Request body¶
1 2 3 4 5 6 7 8 | |
Update certificate¶
1 | |
Description¶
Updates the existing certificate.
Parameters¶
| Type | Name | Schema |
|---|---|---|
| Header | Content-Type required |
string |
| Path | certificateId required |
string |
| Body | Body required |
UpdateCertificateRequest |
Responses¶
| HTTP Code | Schema |
|---|---|
| 200 | No Content |
Consumes¶
application/json
Produces¶
application/json
Tags¶
- Certificates
Example HTTP request¶
Request path¶
1 | |
Request header¶
1 | |
Request body¶
1 2 3 4 5 6 7 8 | |
Get certificate¶
1 | |
Description¶
Returns the certificate data
Parameters¶
| Type | Name | Schema |
|---|---|---|
| Header | Content-Type required |
string |
| Path | certificateId required |
string |
Responses¶
| HTTP Code | Schema |
|---|---|
| 200 | No Content |
Consumes¶
application/json
Produces¶
application/json
Tags¶
- Certificates
Example HTTP request¶
Request path¶
1 | |
Request header¶
1 | |
Remove certificate¶
1 | |
Description¶
Returns the certificate data
Parameters¶
| Type | Name | Schema |
|---|---|---|
| Header | Content-Type required |
string |
| Path | certificateId required |
string |
Responses¶
| HTTP Code | Schema |
|---|---|
| 200 | No Content |
Consumes¶
application/json
Produces¶
application/json
Tags¶
- Certificates
Example HTTP request¶
Request path¶
1 | |
Request header¶
1 | |
Definitions¶
ActionTokenApp2WebLogin¶
| Name | Description | Schema |
|---|---|---|
| authentication_level optional |
Example : 1 |
integer |
| enabled optional |
Example : true |
boolean |
| ttl optional |
Example : 60 |
integer |
ActionTokenConfiguration¶
| Name | Description | Schema |
|---|---|---|
| app_to_web optional |
Example : "[actiontokenapp2weblogin](#actiontokenapp2weblogin)" |
ActionTokenApp2WebLogin |
| coupling optional |
Example : "[actiontokencoupling](#actiontokencoupling)" |
ActionTokenCoupling |
| login optional |
Example : "[actiontokenlogin](#actiontokenlogin)" |
ActionTokenLogin |
| whitelisted_urls optional |
redirect url whitelist Example : [ "[whitelistedurl](#whitelistedurl)" ] |
< WhitelistedUrl > array |
ActionTokenCoupling¶
| Name | Description | Schema |
|---|---|---|
| enabled optional |
Example : true |
boolean |
| ttl optional |
Example : 60 |
integer |
ActionTokenLogin¶
| Name | Description | Schema |
|---|---|---|
| authentication_level optional |
Example : 1 |
integer |
| enabled optional |
Example : true |
boolean |
| ttl optional |
Example : 0 |
integer |
| ui_generation_enabled optional |
Example : true |
boolean |
AddCertificateRequest¶
| Name | Description | Schema |
|---|---|---|
| key_pair required |
Example : "[keypair](#keypair)" |
KeyPair |
AttributeType¶
Type : enum (NAME, PHONE, BIRTH_DATE, EMAIL)
AttributesConfiguration¶
| Name | Description | Schema |
|---|---|---|
| name_visible_on_dashboard optional |
Example : true |
boolean |
| person_creation_mandatory_fields optional |
Example : "[personcreationmandatoryattributes](#personcreationmandatoryattributes)" |
PersonCreationMandatoryAttributes |
| sign_up_form_fields optional |
Example : "[signupformfields](#signupformfields)" |
SignUpFormFields |
| verification optional |
Example : "[attributesverification](#attributesverification)" |
AttributesVerification |
AttributesUpdateNotification¶
| Name | Description | Schema |
|---|---|---|
| on_all_updated optional |
Example : true |
boolean |
| on_email_updated optional |
Example : true |
boolean |
| on_password_updated optional |
Example : true |
boolean |
| on_phone_number_updated optional |
Example : true |
boolean |
AttributesVerification¶
| Name | Description | Schema |
|---|---|---|
| email_enabled optional |
Example : true |
boolean |
| email_required optional |
Example : true |
boolean |
| mobile_number_enabled optional |
Example : true |
boolean |
AzureAdB2cAttributes¶
| Name | Description | Schema |
|---|---|---|
| application_id optional |
Example : "string" |
string |
| front_channel_logout_enabled optional |
Example : true |
boolean |
| policy optional |
Example : "string" |
string |
| tenant_id optional |
Example : "string" |
string |
BaseOAuthAttributes¶
| Name | Description | Schema |
|---|---|---|
| clientId optional |
Example : "string" |
string |
| client_secret optional |
Example : "string" |
string |
CIMConfiguration¶
| Name | Description | Schema |
|---|---|---|
| attributes optional |
Example : "[attributesconfiguration](#attributesconfiguration)" |
AttributesConfiguration |
| custom_messages optional |
Example : "[custommessages](#custommessages)" |
CustomMessages |
| features optional |
Example : "[featuresconfiguration](#featuresconfiguration)" |
FeaturesConfiguration |
| key_pairs optional |
Example : [ "[keypair](#keypair)" ] |
< KeyPair > array |
| login_methods optional |
Example : "[loginmethodsconfiguration](#loginmethodsconfiguration)" |
LoginMethodsConfiguration |
| organisations optional |
Example : "[organisation](#organisation)" |
Organisation |
| redirects optional |
Example : "[redirectsconfiguration](#redirectsconfiguration)" |
RedirectsConfiguration |
| step_up optional |
Example : "[stepupconfiguration](#stepupconfiguration)" |
StepUpConfiguration |
| ui_extension optional |
Example : "[uiextensionconfiguration](#uiextensionconfiguration)" |
UIExtensionConfiguration |
Configuration¶
| Name | Description | Schema |
|---|---|---|
| messages required |
Example : "[messages](#messages)" |
Messages |
| password_policy required |
Example : "[passwordpolicy](#passwordpolicy)" |
PasswordPolicy |
| profile optional |
Example : "[profile](#profile)" |
Profile |
CustomAttributeField¶
| Name | Description | Schema |
|---|---|---|
| id optional |
Example : "string" |
string |
| name optional |
Example : "string" |
string |
| type optional |
Example : "string" |
enum (TEXT, NUMBER, CHECKBOX) |
CustomAttributesMapping¶
| Name | Description | Schema |
|---|---|---|
| attribute_to_map_from optional |
Example : "string" |
string |
| attribute_to_map_to optional |
Example : "string" |
string |
| id optional |
Example : "string" |
string |
CustomEmailValidation¶
| Name | Description | Schema |
|---|---|---|
| after_at_regex optional |
regex for validating domain part of email Example : "string" |
string |
| before_at_regex optional |
regex for validating local part of email Example : "string" |
string |
| enabled optional |
Example : true |
boolean |
CustomMessages¶
| Name | Description | Schema |
|---|---|---|
| default optional |
key value map of default custom messages Example : {<br> "personal.general.next" : "Next",<br> "personal.general.collapse" : "Collapse"<br>} |
< string, string > map |
| locales optional |
Example : {<br> "locales" : {<br> "nl" : {<br> "personal.general.next" : "Volgende",<br> "personal.general.collapse" : "Inklappen"<br> }<br> }<br>} |
< string, < string, string > map > map |
DigidAttributes¶
| Name | Description | Schema |
|---|---|---|
| idp_metadata optional |
Example : "string" |
string |
| required_authentication_level optional |
Example : "string" |
enum (BASIC, MIDDLE, SUBSTANTIAL, HIGH) |
EidasAttributes¶
| Name | Description | Schema |
|---|---|---|
| authentication_service optional |
Example : "string" |
enum (NONE, ACCEPTANCE, PRODUCTION, CUSTOM) |
| authentication_service_custom_value optional |
Example : "string" |
string |
| bsn_decryption_key_id optional |
Example : "string" |
string |
| bsn_verification_point optional |
Example : "string" |
string |
| encryption_key_id optional |
Example : "string" |
string |
| entity_id optional |
Example : "string" |
string |
| idp_metadata optional |
Example : "string" |
string |
| pseudo_id_closing_key_id optional |
Example : "string" |
string |
| pseudo_id_decryption_key_id optional |
Example : "string" |
string |
| pseudo_id_verification_point optional |
Example : "string" |
string |
| required_level_of_assurance optional |
Example : "string" |
enum (NON_EXISTENT, LOW, LOW_PLUS, SUBSTANTIAL, HIGH) |
| signing_key_id optional |
Example : "string" |
string |
EmailNotificationConfiguration¶
| Name | Description | Schema |
|---|---|---|
| account_invitation optional |
Example : true |
boolean |
| account_removed optional |
Example : true |
boolean |
| administrator_account_blocked optional |
Example : true |
boolean |
| attributes_update optional |
Example : "[attributesupdatenotification](#attributesupdatenotification)" |
AttributesUpdateNotification |
| configuration_error_for_account_linking optional |
Example : true |
boolean |
| email_verification optional |
Example : "[emailverificationnotification](#emailverificationnotification)" |
EmailVerificationNotification |
| identity_coupled_to_account optional |
Example : true |
boolean |
| password_blocked optional |
Example : true |
boolean |
| password_reset optional |
Example : true |
boolean |
| password_reset_for_account_without_password optional |
Example : true |
boolean |
| pin_reset optional |
Example : true |
boolean |
| step_up_authentication optional |
Example : true |
boolean |
| validation_of_id_card_completed optional |
Example : true |
boolean |
| validation_of_id_card_failed optional |
Example : true |
boolean |
| welcome optional |
Example : "[welcomenotification](#welcomenotification)" |
WelcomeNotification |
EmailVerificationNotification¶
| Name | Description | Schema |
|---|---|---|
| on_api_enabled optional |
Example : true |
boolean |
| on_web_enabled optional |
Example : true |
boolean |
ExternallyDeliveredCode¶
| Name | Description | Schema |
|---|---|---|
| force_activation_after_accepting_invitation optional |
Example : true |
boolean |
| resend_code_minimum_period optional |
Example : 86400 |
integer |
| unavailability_time optional |
Example : 86400 |
integer |
ExternallyDeliveredCodeStepUp¶
| Name | Description | Schema |
|---|---|---|
| enabled optional |
Example : true |
boolean |
| expiration_time optional |
The time, expressed in seconds, after which the externally delivered code is considered invalid for a step-up. Example : 86400 |
integer |
FacebookAttributes¶
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
| clientId optional |
Example : "string" |
string |
| client_secret optional |
Example : "string" |
string |
FeaturesConfiguration¶
| Name | Description | Schema |
|---|---|---|
| accepting_invitation_enabled optional |
Example : true |
boolean |
| action_token optional |
Example : "[actiontokenconfiguration](#actiontokenconfiguration)" |
ActionTokenConfiguration |
| allow_sign_up_without_invitation_validation optional |
Example : true |
boolean |
| automated_external_identity_coupling_enabled optional |
Example : true |
boolean |
| bind_multiple_external_accounts_with_one_cim_account optional |
Example : true |
boolean |
| configuration_api_enabled optional |
Example : true |
boolean |
| cookie_based_saml_authentication optional |
Example : true |
boolean |
| credentials_api_enabled optional |
Example : true |
boolean |
| custom_email_validation optional |
Example : "[customemailvalidation](#customemailvalidation)" |
CustomEmailValidation |
| events_api_enabled optional |
Example : true |
boolean |
| experimental_features_enabled optional |
Example : true |
boolean |
| externally_delivered_code_step_up optional |
Example : "[externallydeliveredcodestepup](#externallydeliveredcodestepup)" |
ExternallyDeliveredCodeStepUp |
| google_authenticator_step_up_authentication_enabled optional |
Example : true |
boolean |
| invitation_verification_required optional |
Example : "[invitationverification](#invitationverification)" |
InvitationVerification |
| login_enabled optional |
Example : true |
boolean |
| migration_enabled optional |
Example : true |
boolean |
| mobile_authentication_enabled optional |
Example : true |
boolean |
| mobile_number_validation_backend_services_enabled optional |
Example : true |
boolean |
| password_reset_enabled optional |
Example : true |
boolean |
| person_activation optional |
Example : "[personactivationconfiguration](#personactivationconfiguration)" |
PersonActivationConfiguration |
| person_api_enabled optional |
Example : true |
boolean |
| person_identifier_in_external_profile_required_for_migration optional |
Example : true |
boolean |
| pin_enabled optional |
Example : true |
boolean |
| post_login_extra_registration_after_second_login optional |
Example : true |
boolean |
| session_api_enabled optional |
Example : true |
boolean |
| sign_up_enabled optional |
Example : true |
boolean |
| sms_enabled optional |
Example : true |
boolean |
| statistics_api_enabled optional |
Example : true |
boolean |
| step_up_authentication_method_externally_delivered_code_enabled optional |
DEPRECATED - use the externally_delivered_code_step_up.enabled field instead. Example : true |
boolean |
| storage_api_enabled optional |
Example : true |
boolean |
| unauthenticated_migration_enabled optional |
Example : true |
boolean |
| username_reminder_via_sms_enabled optional |
Example : true |
boolean |
Fields¶
Type : enum (profile, messages, password_policy)
GoogleAttributes¶
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
| clientId optional |
Example : "string" |
string |
| client_secret optional |
Example : "string" |
string |
IdentityAttribute¶
| Name | Description | Schema |
|---|---|---|
| attribute_name optional |
Example : "string" |
string |
| id optional |
Example : "string" |
string |
| label optional |
Example : "string" |
string |
| optional optional |
Example : true |
boolean |
| required optional |
Example : true |
boolean |
| saml_attribute_names optional |
Example : {<br> "string" : "string"<br>} |
< string, string > map |
| show_extended_fields optional |
Example : true |
boolean |
| verification optional |
Example : true |
boolean |
IdentityProviderConfig¶
| Name | Description | Schema |
|---|---|---|
| id optional |
Example : "12345" |
string |
| name optional |
Example : "Facebook" |
string |
| saml_properties optional |
Example : "[samlproperties](#samlproperties)" |
SamlProperties |
| type optional |
Example : "facebook" |
string |
IdentityProviderConfigResultSet¶
| Name | Description | Schema |
|---|---|---|
| result optional |
Example : [ "[identityproviderconfig](#identityproviderconfig)" ] |
< IdentityProviderConfig > array |
IdinAttributes¶
| Name | Description | Schema |
|---|---|---|
| acquirer_public_certificate_id optional |
Example : "string" |
string |
| directory_url optional |
Example : "string" |
string |
| merchant_certificate_pair_id optional |
Example : "string" |
string |
| merchant_id optional |
Example : "string" |
string |
| merchant_return_host_name optional |
Example : "string" |
string |
| saml_certificate_pair_id optional |
Example : "string" |
string |
| status_url optional |
Example : "string" |
string |
| sub_id optional |
Example : "string" |
string |
| transaction_url optional |
Example : "string" |
string |
InvitationVerification¶
| Name | Description | Schema |
|---|---|---|
| via_birthdate_enabled optional |
Example : true |
boolean |
| via_externally_delivered_code_enabled optional |
Example : true |
boolean |
| via_sms_enabled optional |
Example : true |
boolean |
ItsmeAttributes¶
| Name | Description | Schema |
|---|---|---|
| claims optional |
Example : [ "string" ] |
< string > array |
| client_id optional |
Example : "string" |
string |
| discovery_url optional |
Example : "string" |
string |
| front_channel_logout_enabled optional |
Example : true |
boolean |
| login_service_code optional |
Example : "string" |
string |
| metadata_expiration_time_in_seconds optional |
Example : 3600 |
integer |
| scopes optional |
Example : [ "string" ] |
< string > array |
| security_level optional |
Example : "string" |
enum (BASIC, ADVANCED) |
KerberosAttributes¶
| Name | Description | Schema |
|---|---|---|
| auto_login_enabled optional |
Example : true |
boolean |
KeyPair¶
| Name | Description | Schema |
|---|---|---|
| key_type required |
Example : "string" |
string |
| name required |
Example : "string" |
string |
| private_key required |
Example : "string" |
string |
| public_key required |
Example : "string" |
string |
LdapAttributes¶
| Name | Description | Schema |
|---|---|---|
| attributes_to_be_fetched optional |
Example : [ "string" ] |
< string > array |
| authentication_dn_template optional |
Example : "string" |
string |
| base_suffix optional |
Example : "string" |
string |
| ip_range_enabled optional |
Example : true |
boolean |
| ip_ranges optional |
Example : [ "string" ] |
< string > array |
| match_pattern optional |
Example : "string" |
string |
| password optional |
Example : "string" |
string |
| server_urls optional |
Example : "string" |
string |
| user_distinguished_name optional |
Example : "string" |
string |
LinkedInAttributes¶
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
| clientId optional |
Example : "string" |
string |
| client_secret optional |
Example : "string" |
string |
LocaleCustomMessages¶
key value map of custom messages
| Name | Description | Schema |
|---|---|---|
| additionalProperties optional |
Example : "string" |
string |
LoginMethod¶
| Name | Description | Schema |
|---|---|---|
| attribute_mappings optional |
Example : [ "[loginmethodsattributemapping](#loginmethodsattributemapping)" ] |
< LoginMethodsAttributeMapping > array |
| authentication_level optional |
Example : 1 |
integer |
| auto_activation_enabled optional |
Example : true |
boolean |
| auto_email_verification optional |
Example : true |
boolean |
| azure_ad_b2c_attributes optional |
Example : "[azureadb2cattributes](#azureadb2cattributes)" |
AzureAdB2cAttributes |
| custom_attribute_fields optional |
Example : [ "[customattributefield](#customattributefield)" ] |
< CustomAttributeField > array |
| custom_attribute_mappings optional |
Example : [ "[customattributesmapping](#customattributesmapping)" ] |
< CustomAttributesMapping > array |
| digid_attributes optional |
Example : "[digidattributes](#digidattributes)" |
DigidAttributes |
| eidas_attributes optional |
Example : "[eidasattributes](#eidasattributes)" |
EidasAttributes |
| enabled optional |
Example : true |
boolean |
| excluded_unmapped_attributes optional |
Example : [ "string" ] |
< string > array |
| facebook_attributes optional |
Example : "[facebookattributes](#facebookattributes)" |
FacebookAttributes |
| force_creating_username_and_password_during_sign_up optional |
Example : true |
boolean |
| google_attributes optional |
Example : "[googleattributes](#googleattributes)" |
GoogleAttributes |
| id optional |
Example : "string" |
string |
| identity_assurance_level optional |
Example : 2 |
integer |
| idin_attributes optional |
Example : "[idinattributes](#idinattributes)" |
IdinAttributes |
| itsme_attributes optional |
Example : "[itsmeattributes](#itsmeattributes)" |
ItsmeAttributes |
| kerberos_attributes optional |
Example : "[kerberosattributes](#kerberosattributes)" |
KerberosAttributes |
| ladp_attributes optional |
Example : "[ldapattributes](#ldapattributes)" |
LdapAttributes |
| linkedin_attributes optional |
Example : "[linkedinattributes](#linkedinattributes)" |
LinkedInAttributes |
| migration_during_sign_up optional |
Example : true |
boolean |
| name optional |
Example : "string" |
string |
| open_id_connect_attributes optional |
Example : "[openidconnectattributes](#openidconnectattributes)" |
OpenIdConnectAttributes |
| paypal_attributes optional |
Example : "[paypalattributes](#paypalattributes)" |
PaypalAttributes |
| qr_code_attributes optional |
Example : "[qrcodeattributes](#qrcodeattributes)" |
QrCodeAttributes |
| removable optional |
Example : true |
boolean |
| saml_attributes optional |
Example : "[samlattributes](#samlattributes)" |
SamlAttributes |
| saml_mutual_ssl_tls_attributes optional |
Example : "object" |
object |
| sign_in_with_apple_attributes optional |
Example : "[signinwithappleattributes](#signinwithappleattributes)" |
SignInWithAppleAttributes |
| synchronise_attributes optional |
Example : true |
boolean |
| twitter_attributes optional |
Example : "[twitterattributes](#twitterattributes)" |
TwitterAttributes |
| type optional |
Example : "AZURE_AD_B2C" |
enum (AZURE_AD_B2C, BANK_ID, DIGID, EIDAS, FACEBOOK, GOOGLE, IDIN, ITSME, KERBEROS, LDAP, LINKEDIN, OPEN_ID_CONNECT, PAYPAL, QR_CODE, SAML, SIGN_IN_WITH_APPLE, TWITTER, USERNAME_AND_PASSWORD) |
LoginMethodsAttributeMapping¶
| Name | Description | Schema |
|---|---|---|
| editable optional |
Example : true |
boolean |
| id optional |
Example : "string" |
string |
| map_from optional |
Example : "string" |
string |
| map_to optional |
Example : "string" |
string |
LoginMethodsConfiguration¶
| Name | Description | Schema |
|---|---|---|
| login_methods optional |
Example : [ "[loginmethod](#loginmethod)" ] |
< LoginMethod > array |
| mobile_login optional |
Example : "[mobilelogin](#mobilelogin)" |
MobileLogin |
Messages¶
Key value map where key is the language nad value contains list of translations.
Type : < string, < string, Translations > map > map
MobileLogin¶
| Name | Description | Schema |
|---|---|---|
| allowed_login_attempts optional |
Example : 5 |
integer |
| authentication_type optional |
Example : "OTP" |
string |
| enabled optional |
Example : false |
boolean |
| login_message optional |
Example : "string" |
string |
| show_use_mobile_to_login optional |
Example : false |
boolean |
| step_up_message optional |
Example : "string" |
string |
| step_up_type optional |
Example : "string" |
string |
OpenIdConnectAttributes¶
| Name | Description | Schema |
|---|---|---|
| authorization_url optional |
Example : "string" |
string |
| claims optional |
Example : [ "string" ] |
< string > array |
| client_authentication_method optional |
Example : "string" |
enum (CLIENT_SECRET_BASIC, PRIVATE_KEY_JWT) |
| client_id optional |
Example : "string" |
string |
| discovery_url optional |
Example : "string" |
string |
| end_session_url optional |
Example : "string" |
string |
| front_channel_logout_enabled optional |
Example : true |
boolean |
| id_token_encryption_required optional |
Example : true |
boolean |
| id_token_url optional |
Example : "string" |
string |
| issuer optional |
Example : "string" |
string |
| jwks_url optional |
Example : "string" |
string |
| manual_metadata_setup optional |
Example : true |
boolean |
| metadata_expiration_time_in_seconds optional |
Example : 0 |
integer |
| scopes optional |
Example : [ "string" ] |
< string > array |
| user_info_encryption_required optional |
Example : true |
boolean |
| user_info_url optional |
Example : "string" |
string |
Organisation¶
| Name | Description | Schema |
|---|---|---|
| account_link_url optional |
Example : "string" |
string |
| id optional |
Example : "string" |
string |
| is_private optional |
Example : true |
boolean |
| landing_page_url optional |
Example : "string" |
string |
| logo_landscape_base64 optional |
Example : "string" |
string |
| logo_square_base64 optional |
Example : "string" |
string |
| message_to_assist_user_during_migration_period_html optional |
Example : "string" |
string |
| name optional |
Example : "string" |
string |
| notify_when_user_does_unlink_account optional |
Example : true |
boolean |
| preferred_language optional |
Example : "string" |
string |
| service_providers optional |
Example : "object" |
service_providers |
| site_url optional |
Example : "string" |
string |
| support_email optional |
Example : "string" |
string |
| support_url optional |
Example : "string" |
string |
| user_profile_attributes optional |
Example : "[userprofileattributes](#userprofileattributes)" |
UserProfileAttributes |
| username_for_basic_auth optional |
Example : "string" |
string |
| Name | Description | Schema |
|---|---|---|
| organisation optional |
Example : "[serviceprovider](#serviceprovider)" |
ServiceProvider |
PasswordPolicy¶
| Name | Description | Schema |
|---|---|---|
| breached_password_blocked required |
Indicates that the password is disallowed when it has been discovered in a public data breach. Note: this option enables sending an anonymized transformation of the user's password to the Have I Been Pwned API, which is a resource of passwords found in public data breaches. This information is sent in such a way that it cannot be linked to the original user or their password by anyone (more on how this works). Example : false |
boolean |
| lower_case_char_required required |
Indicates at least one lower case character is required. Example : false |
boolean |
| max_length required |
Indicates the maximum length of a password. Example : 0 |
integer (int32) |
| min_length required |
Indicates the minimum length of a password. Example : 0 |
integer (int32) |
| special_char_required required |
Indicates that at least one special character is required. Example : false |
boolean |
| upper_case_char_required required |
Indicates at least one upper case character is required. Example : false |
boolean |
PaypalAttributes¶
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
| clientId optional |
Example : "string" |
string |
| client_secret optional |
Example : "string" |
string |
PersonActivationConfiguration¶
| Name | Description | Schema |
|---|---|---|
| activation_during_first_authentication_enabled optional |
Example : true |
boolean |
| enabled optional |
Example : true |
boolean |
| expiration_time optional |
Example : 60 |
integer |
| externally_delivered_code optional |
Example : "[externallydeliveredcode](#externallydeliveredcode)" |
ExternallyDeliveredCode |
| type optional |
Example : "EMAIL" |
enum (EMAIL, EXTERNALLY_DELIVERED_CODE) |
PersonCreationMandatoryAttributes¶
| Name | Description | Schema |
|---|---|---|
| first_name_required optional |
Example : true |
boolean |
| last_name_required optional |
Example : true |
boolean |
| mobile_number_required optional |
Example : true |
boolean |
Profile¶
Contains profile configuration
| Name | Description | Schema |
|---|---|---|
| required_attributes_validation_rules optional |
Example : [ "[requiredattributesvalidationrule](#requiredattributesvalidationrule)" ] |
< RequiredAttributesValidationRule > array |
QrCodeAttributes¶
| Name | Description | Schema |
|---|---|---|
| app_store_link optional |
Example : "string" |
string |
| deep_linking_enabled optional |
Example : true |
boolean |
| deep_linking_redirect_url optional |
Example : "string" |
string |
| google_play_link optional |
Example : "string" |
string |
| mobile_authentication_type optional |
Example : "string" |
string |
RedirectsConfiguration¶
| Name | Description | Schema |
|---|---|---|
| default_origin_url optional |
Example : "string" |
string |
| show_wait_page_while_logging_in optional |
Example : true |
boolean |
| url_after_activation optional |
Example : "string" |
string |
| url_after_login optional |
Example : "string" |
string |
| url_after_logout optional |
Example : "string" |
string |
| url_after_sign_up optional |
Example : "string" |
string |
| url_whitelist optional |
Example : [ "[whitelistedurl](#whitelistedurl)" ] |
< WhitelistedUrl > array |
RequiredAttributesValidationRule¶
Contains list of required profile attributes. At least one of attributes is required
| Name | Description | Schema |
|---|---|---|
| any_of optional |
Example : [ "BIRTH_DATE", "PHONE" ] |
< AttributeType > array |
SamlAttributes¶
| Name | Description | Schema |
|---|---|---|
| authentication_level_mappings optional |
Example : [ "[samlauthenticationlevelmapping](#samlauthenticationlevelmapping)" ] |
< SamlAuthenticationLevelMapping > array |
| comparison optional |
Example : "string" |
enum (EXACT, MINIMUM, MAXIMUM, BETTER) |
| idp_metadata optional |
Example : "string" |
string |
SamlAuthenticationLevelMapping¶
| Name | Description | Schema |
|---|---|---|
| authentication_level optional |
Example : 0 |
integer |
| authn_context_class_ref_name optional |
Example : "string" |
string |
SamlMutualSslTlsAttributes¶
| Name | Description | Schema |
|---|---|---|
| client_key_pair_id optional |
Example : "string" |
string |
| server_certificate_id optional |
Example : "string" |
string |
SamlProperties¶
| Name | Description | Schema |
|---|---|---|
| authn_context optional |
Example : "urn:com:onegini:saml:facebook" |
string |
SamlSubjectNameAttribute¶
| Name | Description | Schema |
|---|---|---|
| custom_attribute_key optional |
Example : "string" |
string |
| default optional |
Example : "string" |
string |
| format optional |
Example : "string" |
string |
| type optional |
Example : "string" |
string |
ServiceProvider¶
| Name | Description | Schema |
|---|---|---|
| custom_attribute_mappings optional |
Example : "[customattributesmapping](#customattributesmapping)" |
CustomAttributesMapping |
| id optional |
Example : "string" |
string |
| identity_attributes optional |
Example : {<br> "string" : "[identityattribute](#identityattribute)"<br>} |
< string, IdentityAttribute > map |
| include_unmapped_custom_attributes_within_saml_response optional |
Example : "string" |
string |
| name optional |
Example : "string" |
string |
| required_authentication_level optional |
Example : 0 |
integer |
| required_identity_assurance_level optional |
Example : 0 |
integer |
| saml_metadata optional |
Example : "string" |
string |
| type optional |
Example : "string" |
string |
| use_trusted_device optional |
Example : "string" |
string |
SignInWithAppleAttributes¶
| Name | Description | Schema |
|---|---|---|
| client_id optional |
Example : "string" |
string |
| domain_verification_file_content optional |
Example : "string" |
string |
| jwks_uri optional |
Example : "string" |
string |
| key_id optional |
Example : "string" |
string |
| scopes optional |
Example : [ "string" ] |
< string > array |
| signing_key_id optional |
Example : "string" |
string |
| team_id optional |
Example : "string" |
string |
SignUpFormFields¶
| Name | Description | Schema |
|---|---|---|
| email_confirmation_enabled optional |
Example : true |
boolean |
| mobile_number_confirmation_enabled optional |
Example : true |
boolean |
| mobile_number_enabled optional |
Example : true |
boolean |
StepUpActionsConfiguration¶
| Name | Description | Schema |
|---|---|---|
| allow_set_initial_step_up_method_enabled optional |
Example : true |
boolean |
| change_email_authentication_level optional |
Example : 3 |
integer |
| change_password_authentication_level optional |
Example : 3 |
integer |
| dashboard_step_up_authentication_level optional |
Example : 1 |
integer |
| default_step_up_authentication_level optional |
Example : 3 |
integer |
| setup_step_up_methods_authentication_level optional |
Example : 3 |
integer |
StepUpAuthenticationMethodsConfiguration¶
| Name | Description | Schema |
|---|---|---|
| email_authentication_level optional |
Example : 3 |
integer |
| externally_delivered_code_authentication_level optional |
Example : 3 |
integer |
| google_authenticator_authentication_level optional |
Example : 3 |
integer |
| pin_authentication_level optional |
Example : 3 |
integer |
| push_authentication_level optional |
Example : 3 |
integer |
| sms_authentication_level optional |
Example : 3 |
integer |
StepUpConfiguration¶
| Name | Description | Schema |
|---|---|---|
| actions optional |
Example : "[stepupactionsconfiguration](#stepupactionsconfiguration)" |
StepUpActionsConfiguration |
| authentication_methods optional |
Example : "[stepupauthenticationmethodsconfiguration](#stepupauthenticationmethodsconfiguration)" |
StepUpAuthenticationMethodsConfiguration |
| stategy optional |
Example : "USER_PREFERENCE" |
enum (USER_PREFERENCE, STRONGEST_AVAILABLE) |
Translations¶
Key value map where key is the message identifier and value contains translation.
Type : < string, string > map
TwitterAttributes¶
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
| clientId optional |
Example : "string" |
string |
| client_secret optional |
Example : "string" |
string |
UIExtensionConfiguration¶
| Name | Description | Schema |
|---|---|---|
| base_url optional |
Example : "string" |
string |
| enable_login_redirect optional |
Example : true |
boolean |
| login_path optional |
Example : "string" |
string |
UpdateCertificateRequest¶
| Name | Description | Schema |
|---|---|---|
| key_pair required |
Example : "[keypair](#keypair)" |
KeyPair |
UpdateCertificatesInBatchRequest¶
| Name | Description | Schema |
|---|---|---|
| key_pairs required |
Example : [ "[keypair](#keypair)" ] |
< KeyPair > array |
UserProfileAttributes¶
| Name | Description | Schema |
|---|---|---|
| custom_attribute_mappings optional |
Example : "[customattributesmapping](#customattributesmapping)" |
CustomAttributesMapping |
| identity_attributes optional |
Example : {<br> "string" : "[identityattribute](#identityattribute)"<br>} |
< string, IdentityAttribute > map |
| saml_subject_name_attributes optional |
Example : "[samlsubjectnameattribute](#samlsubjectnameattribute)" |
SamlSubjectNameAttribute |
WelcomeNotification¶
| Name | Description | Schema |
|---|---|---|
| on_api_enabled optional |
Example : true |
boolean |
| on_migration_enabled optional |
Example : true |
boolean |
| on_web_enabled optional |
Example : true |
boolean |
WhitelistedUrl¶
| Name | Description | Schema |
|---|---|---|
| id optional read-only |
id of a given url Example : "string" |
string (uuid) |
| url optional |
url value Example : "string" |
string |
WhitelistedUrls¶
| Name | Description | Schema |
|---|---|---|
| whitelisted_urls optional |
redirect url whitelist Example : [ "[whitelistedurl](#whitelistedurl)" ] |
< WhitelistedUrl > array |
Security¶
basic_auth¶
Type : basic